Page MenuHomePhabricator

Add opt-viewer testing
ClosedPublic

Authored by anemet on Nov 17 2017, 5:22 PM.

Details

Summary

Detects whether we have the Python modules (pygments, yaml) required by
opt-viewer and hooks this up to REQUIRES.

This fixes https://bugs.llvm.org/show_bug.cgi?id=34129 (the lack of opt-viewer
testing).

It's also related to https://github.com/apple/swift/pull/12938 and the idea is
to expose LLVM_HAVE_OPT_VIEWER_MODULES to the Swift cmake.

Event Timeline

anemet created this revision.Nov 17 2017, 5:22 PM
beanz added inline comments.Nov 27 2017, 9:44 AM
cmake/modules/AddLLVM.cmake
1668 ↗(On Diff #123453)

This code all looks good, but it is in the wrong place. Can you move this into config-ix.cmake?

That is where we generally execute configuration checks.

anemet updated this revision to Diff 124414.Nov 27 2017, 10:03 AM

Thanks, Chris! This moves the cmake bits to config-ix.cmake.

beanz accepted this revision.Nov 27 2017, 10:37 AM

LGTM!

This revision is now accepted and ready to land.Nov 27 2017, 10:37 AM
This revision was automatically updated to reflect the committed changes.